Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.web
Interface WebServiceMBean

All Superinterfaces:
  Service, ServiceMBean

All Known Implementing Classes:
  WebService

public interface WebServiceMBean
extends ServiceMBean

An mbean for configuring the classloader web service.

Version:
  $Revision: 1.3.4.2 $
Author:
  Rickard Öberg., Scott Stark.

Field Summary
`static java.lang.String` | `OBJECT_NAME`

Fields inherited from interface org.jboss.util.ServiceMBean
`STARTED, STARTING, states, STOPPED, STOPPING`

Method Summary
`java.net.URL` | `addClassLoader(java.lang.ClassLoader cl)`
`int` | `getBacklog()` Get the WebService listen queue backlog limit.
`java.lang.String` | `getBindAddress()` Get the specific address the WebService listens on.t
`boolean` | `getDownloadServerClasses()` A flag indicating if the server should attempt to download classes from thread context class loader when a request arrives that does not have a class loader key prefix.
`java.lang.String` | `getHost()` Get the name of the public interface to use for the host portion of the RMI codebase URL.
`int` | `getPort()` Get the WebService listening port.
`void` | `removeClassLoader(java.lang.ClassLoader cl)`
`void` | `setBacklog(int backlog)` Set the WebService listen queue backlog limit.
`void` | `setBindAddress(java.lang.String host)` Set the specific address the WebService listens on.
`void` | `setDownloadServerClasses(boolean flag)`
`void` | `setHost(java.lang.String host)` Set the name of the public interface to use for the host portion of the RMI codebase URL.
`void` | `setPort(int port)` Set the WebService listening port.

Methods inherited from interface org.jboss.util.ServiceMBean
`getName, getState, getStateString`

Methods inherited from interface org.jboss.util.Service
`destroy, init, start, stop`

Field Detail

### OBJECT_NAME

    public static final java.lang.String OBJECT_NAME

Method Detail

### addClassLoader

    public java.net.URL addClassLoader(java.lang.ClassLoader cl)

### removeClassLoader

    public void removeClassLoader(java.lang.ClassLoader cl)

### setPort

    public void setPort(int port)

  Set the WebService listening port.
  Parameters:
    `part,` - the listening port, 0 == Anonymous.

### getPort

    public int getPort()

  Get the WebService listening port.
  Returns:
    the WebService listening port, 0 == Anonymous.

### getHost

    public java.lang.String getHost()

  Get the name of the public interface to use for the host portion of the RMI codebase URL.

### setHost

    public void setHost(java.lang.String host)

  Set the name of the public interface to use for the host portion of the RMI codebase URL.

### getBindAddress

    public java.lang.String getBindAddress()

  Get the specific address the WebService listens on.t
  Returns:
    the interface name or IP address the WebService binds to.

### setBindAddress

    public void setBindAddress(java.lang.String host)
                        throws java.net.UnknownHostException

  Set the specific address the WebService listens on. This can be used on a multi-homed host for a ServerSocket that will only accept connect requests to one of its addresses.
  Parameters:
    `host,` - the interface name or IP address to bind. If host is null, connections on any/all local addresses will be allowed.

### getBacklog

    public int getBacklog()

  Get the WebService listen queue backlog limit. The maximum queue length for incoming connection indications (a request to connect) is set to the backlog parameter. If a connection indication arrives when the queue is full, the connection is refused.
  Returns:
    the queue backlog limit.

### setBacklog

    public void setBacklog(int backlog)

  Set the WebService listen queue backlog limit. The maximum queue length for incoming connection indications (a request to connect) is set to the backlog parameter. If a connection indication arrives when the queue is full, the connection is refused.
  Parameters:
    `backlog,` - the queue backlog limit.

### getDownloadServerClasses

    public boolean getDownloadServerClasses()

  A flag indicating if the server should attempt to download classes from thread context class loader when a request arrives that does not have a class loader key prefix.

### setDownloadServerClasses

    public void setDownloadServerClasses(boolean flag)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.